## python-requests-toolbelt 0.7.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/requests_toolbelt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/requests_toolbelt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/requests_toolbelt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/requests_toolbelt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-requests-toolbelt 0.6.0

=== debian/changelog ===
python-requests-toolbelt (0.6.0-2) unstable; urgency=medium

  [ Ross Gammon ]
  * Add myself to uploaders.

  [ Petter Reinholdtsen ]
  * Change Standards-Version from 3.9.6 to 3.9.7.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 08 Feb 2016 22:22:24 +0000

python-requests-toolbelt (0.6.0-1) unstable; urgency=medium

  * Remove forgotten and redundant override_dh_auto_build.
  * Add gbp.conf file enforcing the need for pristine-tar with git-buildpackage.
  * Imported Upstream version 0.6.0

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 08 Feb 2016 13:35:37 +0000

python-requests-toolbelt (0.5.1-4) unstable; urgency=medium

  * Changed doc building rules to use LC_ALL=C and dh_sphinxdoc.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Jan 2016 06:42:14 +0000

python-requests-toolbelt (0.5.1-3) unstable; urgency=medium

  * Add missing build dependency on python-requests/python3-requests.
    (Closes: #810644)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 10 Jan 2016 21:37:43 +0000

python-requests-toolbelt (0.5.1-2) unstable; urgency=low

  [ Federico Ceratto ]
  * Rename license.
  * Build Python3 and docs, install HISTORY.rst.
  * Install doc files.

  [ Petter Reinholdtsen ]
  * Make sure backup file included in distribution by mistake do not end
    up in binary packages.
  * Make sure clean target remove generated html documentation.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 08 Jan 2016 00:08:51 +0100

python-requests-toolbelt (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #809969).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 05 Jan 2016 21:15:53 +0000

=== debian/control ===
Source: python-requests-toolbelt
Section: python
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Uploaders: Ross Gammon <rossgammon@mail.dk>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep:
 dh-python,
 python-all (>= 2.6.6-3),
 python-setuptools (>= 0.6b3),
 python-requests,
 python-sphinx,
 python3-all,
 python3-requests,
 python3-setuptools,
Standards-Version: 3.9.7
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: https://pypi.python.org/pypi/requests-toolbelt
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-requests-toolbelt.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-requests-toolbelt.git

Package: python-requests-toolbelt
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}, ${python:Depends}
Description: Utility belt for advanced users of python-requests
 Collection of utilities for python-requests
 It provides transport adapters: FingerprintAdapter, SSLAdapter,
 SourceAddressAdapter, SocketOptionsAdapter, TCPKeepAliveAdapter
 and authenticators: AuthHandler, GuessAuth, HTTPProxyDigestAuth
 Also a cookiejar, streaming helpers and more.

Package: python3-requests-toolbelt
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Utility belt for advanced users of python3-requests
 Collection of utilities for python3-requests
 It provides transport adapters: FingerprintAdapter, SSLAdapter,
 SourceAddressAdapter, SocketOptionsAdapter, TCPKeepAliveAdapter
 and authenticators: AuthHandler, GuessAuth, HTTPProxyDigestAuth
 Also a cookiejar, streaming helpers and more.

Package: python-requests-toolbelt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}
Description: Utility belt for python3-requests (documentation)
 Collection of utilities for python3-requests: documentation
 It provides transport adapters: FingerprintAdapter, SSLAdapter,
 SourceAddressAdapter, SocketOptionsAdapter, TCPKeepAliveAdapter
 and authenticators: AuthHandler, GuessAuth, HTTPProxyDigestAuth
 Also a cookiejar, streaming helpers and more.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=requests-toolbelt

# Requires betamax #808880
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installdocs:
	LC_ALL=C PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -bhtml docs debian/html
	dh_installdocs
	dh_sphinxdoc

override_dh_auto_clean:
	$(RM) -r debian/html
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst
	# Remove backup file included in distribution by mistake
	$(RM) debian/*/usr/lib/*/dist-packages/requests_toolbelt/multipart/.encoder.py.swp

## python-requests-toolbelt 0.7.0

=== debian/changelog ===
python-requests-toolbelt (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0.
  * Added intersphinx-localmapping.diff to make sure build do not try
    to use the Internet during build (See #830186).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Aug 2016 08:49:23 +0200

python-requests-toolbelt (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2.
  * Add autopkgtest-pkg-python testsuite to d/control to get basic testing.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 12 Jul 2016 11:18:56 +0200

python-requests-toolbelt (0.6.0-3) unstable; urgency=medium

  * Updated Standards-Version from 3.9.7 to 3.9.8.
  * Added python-sphinx-rtd-theme as build dependency. (Closes: #829192)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 06 Jul 2016 09:21:50 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,15 @@
  python-setuptools (>= 0.6b3),
  python-requests,
  python-sphinx,
+ python-sphinx-rtd-theme,
+ python-doc,
  python3-all,
  python3-requests,
  python3-setuptools,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
+Testsuite: autopkgtest-pkg-python
 Homepage: https://pypi.python.org/pypi/requests-toolbelt
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-requests-toolbelt.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-requests-toolbelt.git

## python-requests-toolbelt 0.8.0

=== debian/changelog ===
python-requests-toolbelt (0.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938141

 -- Sandro Tosi <morph@debian.org>  Mon, 14 Oct 2019 23:00:28 -0400

python-requests-toolbelt (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0.
  * Changed Standards-Version from 3.9.8 to 4.0.0.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Jul 2017 09:19:44 +0000

=== debian/control ===
Source: python-requests-toolbelt
Section: python
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Uploaders: Ross Gammon <rossgammon@mail.dk>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep:
 dh-python,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-doc,
 python3-all,
 python3-requests,
 python3-setuptools,
Standards-Version: 4.0.0
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Testsuite: autopkgtest-pkg-python
Homepage: https://pypi.python.org/pypi/requests-toolbelt
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-requests-toolbelt.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-requests-toolbelt.git

Package: python3-requests-toolbelt
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Utility belt for advanced users of python3-requests
 Collection of utilities for python3-requests
 It provides transport adapters: FingerprintAdapter, SSLAdapter,
 SourceAddressAdapter, SocketOptionsAdapter, TCPKeepAliveAdapter
 and authenticators: AuthHandler, GuessAuth, HTTPProxyDigestAuth
 Also a cookiejar, streaming helpers and more.

Package: python-requests-toolbelt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Utility belt for python3-requests (documentation)
 Collection of utilities for python3-requests: documentation
 It provides transport adapters: FingerprintAdapter, SSLAdapter,
 SourceAddressAdapter, SocketOptionsAdapter, TCPKeepAliveAdapter
 and authenticators: AuthHandler, GuessAuth, HTTPProxyDigestAuth
 Also a cookiejar, streaming helpers and more.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_installdocs:
 	LC_ALL=C PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -bhtml docs debian/html

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/requests-toolbelt/requests-toolbelt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-requests-toolbelt 0.9.1

=== debian/changelog ===
python-requests-toolbelt (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1.
  * d/control: Set DPT as mantainer (Closes: #943419).
    - Set me as uploaders.
  * d/control: Bump debhelper-compat to 13.
  * d/control: Bump Standards-Version to 4.5.1 (from 4.0.0).
  * d/control: Remove X-Python*-Version key.
  * d/compat: remove d/compat file is no longer need.
  * d/copyright: Update Copyright for debian files.
    -  add me on Copyright field.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/control: Update VCS-* information.
  * d/watch: Bump watch file version.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 28 Nov 2020 11:23:45 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-requests-toolbelt
 Section: python
 Priority: optional
-Maintainer: Petter Reinholdtsen <pere@debian.org>
-Uploaders: Ross Gammon <rossgammon@mail.dk>
-Build-Depends: debhelper (>= 9~)
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Emmanuel Arias <eamanu@yaerobi.com>
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  dh-python,
  python3-sphinx,
@@ -12,13 +12,11 @@
  python3-all,
  python3-requests,
  python3-setuptools,
-Standards-Version: 4.0.0
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://pypi.python.org/pypi/requests-toolbelt
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-requests-toolbelt.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-requests-toolbelt.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-requests-toolbelt
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-requests-toolbelt.git
 
 Package: python3-requests-toolbelt
 Architecture: all

## python-requests-toolbelt 0.10.1

=== debian/changelog ===
python-requests-toolbelt (0.10.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.10.1
  * Refresh patches

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 08 Dec 2022 13:29:17 -0300

python-requests-toolbelt (0.9.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + python-requests-toolbelt-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 14:02:31 +0000

python-requests-toolbelt (0.9.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 20:05:06 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-all,
  python3-requests,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://pypi.python.org/pypi/requests-toolbelt
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-requests-toolbelt
@@ -32,6 +32,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Utility belt for python3-requests (documentation)
  Collection of utilities for python3-requests: documentation
  It provides transport adapters: FingerprintAdapter, SSLAdapter,

## python-requests-toolbelt 1.0.0

=== debian/changelog ===
python-requests-toolbelt (1.0.0-5) unstable; urgency=medium

  * Team upload.
  * Rewrite d/watch in v5 format
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Disable useless Salsa CI jobs

 -- Alexandre Detiste <tchet@debian.org>  Fri, 27 Feb 2026 10:57:31 +0100

python-requests-toolbelt (1.0.0-4) unstable; urgency=medium

  * Team upload.
  * Fix documentation building (closes: #1090160).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Dec 2024 14:31:21 +0000

python-requests-toolbelt (1.0.0-3) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes
    needed).
  * d/copyright: Update copyright year for debian/* files
  * d/rules: Ignore test_dump_response,
    test_dump_all,test_prepared_request_override_base,
    test_prepared_request_with_base, test_request_override_base,
    test_request_with_base tests that use internet connection (Closes:
    #1073442).
    - d/tests/pytest: Ignore tests also un autpkgtest.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 03 Aug 2024 10:21:09 -0300

python-requests-toolbelt (1.0.0-2) unstable; urgency=medium

  [ Zixing Liu ]
  * Team upload
  * d/tests: Add the missing test dependency: python3-trustme

 -- Benjamin Drung <bdrung@debian.org>  Tue, 29 Aug 2023 12:55:18 +0200

python-requests-toolbelt (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update my contact information. Also in d/copyright for debian/*
    files.
  * d/control: wrap-and-sort.
  * d/control: Bump Standards-Version to 4.6.2 (from 4.6.1; no further changes
    needed).
  * d/control: Update Homepage from pypi to upstream homepage documentation.
  * d/control: Add python3-betamax and python3-pytest as Build Depends.
    - Stop using Build-Depends-Indep in favor of Build-Depends.
    - Activate tests. Remove PYBUILD_DISABLE=test. Ignore tests that use
    setup.py file: test_reads_open_file_objects,
    test_reads_open_file_objects_using_to_string,
    test_reads_open_file_objects_with_a_specified_filename.
  * d/control: Remove Testsuite: autopkgtest-pkg-python.
  * d/tests: Add autopkgtests tests.
  * d/control: Add Rules-Requires-Root: no to source stanza.
  * d/copyright: Update copyright year for debian/* files.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 11 Aug 2023 19:34:50 -0300

=== debian/control ===
Source: python-requests-toolbelt
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Emmanuel Arias <eamanu@debian.org>,
Build-Depends:
 debhelper-compat (=13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-betamax <!nocheck>,
 python3-doc,
 python3-pytest <!nocheck>,
 python3-requests,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.7.3
Homepage: https://toolbelt.readthedocs.io/en/latest/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-requests-toolbelt
Vcs-Git: https://salsa.debian.org/python-team/packages/python-requests-toolbelt.git

Package: python3-requests-toolbelt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Utility belt for advanced users of python3-requests
 Collection of utilities for python3-requests
 It provides transport adapters: FingerprintAdapter, SSLAdapter,
 SourceAddressAdapter, SocketOptionsAdapter, TCPKeepAliveAdapter
 and authenticators: AuthHandler, GuessAuth, HTTPProxyDigestAuth
 Also a cookiejar, streaming helpers and more.

Package: python-requests-toolbelt-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Utility belt for python3-requests (documentation)
 Collection of utilities for python3-requests: documentation
 It provides transport adapters: FingerprintAdapter, SSLAdapter,
 SourceAddressAdapter, SocketOptionsAdapter, TCPKeepAliveAdapter
 and authenticators: AuthHandler, GuessAuth, HTTPProxyDigestAuth
 Also a cookiejar, streaming helpers and more.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,19 @@
 export DH_VERBOSE=1
 export PYBUILD_NAME=requests-toolbelt
 
-# Requires betamax #808880
-export PYBUILD_DISABLE=test
+# Ignore tests that read setup.py file.
+export PYBUILD_TEST_ARGS=-k 'not test_reads_open_file_objects \
+			and not test_reads_open_file_objects_using_to_string \
+			and not test_reads_open_file_objects_with_a_specified_filename \
+			and not test_dump_response \
+			and not test_dump_all \
+			and not test_prepared_request_override_base \
+			and not test_prepared_request_with_base \
+			and not test_request_override_base \
+			and not test_request_with_base'
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installdocs:
 	LC_ALL=C PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -bhtml docs debian/html

=== debian/tests/control ===
Tests:
 pytest,
Depends:
 python3-all,
 python3-betamax,
 python3-pytest,
 python3-trustme,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Template: Pypi
Dist: requests-toolbelt
